IP Cam Talk

Welcome to the new IPCT! If you are having an issue logging in, please clear your cookies / cache.

PSA: Firefox and Hikvision Web Component

Kieran

Young grasshopper
Joined
Dec 18, 2015
Messages
51
Reaction score
16
This works for me. How long will this workaround be effective?
Not possible to say, unfortunately, unless someone else knows otherwise.
The Chrome workaround lasted a couple of months if I recall before it was patched out.
 

username

Young grasshopper
Joined
Feb 7, 2016
Messages
98
Reaction score
15
I'm running linux, not windows. That is why firefox is used, not IE.
I just installed Pale Moon hoping to use it solely for viewing my cam's, however, in order to use the above posted procedure, the extension has to be installed. It cannot be installed because it is not in the available libraries.

I have not tried the above on my FF v52, but the browser extension directory that had the npapi-vlc extension is not there anymore, presumably the update from the earlier version removed it.
 

nayr

IPCT Contributor
Joined
Jul 16, 2014
Messages
9,346
Reaction score
5,252
Location
Denver, CO
Security; these plugins dont run in the app sandboxes they created.. you can thank flash for being so fucking shitty for this.

Chrome killed it over a year ago; Edge never came with it..
 

00Buck

Getting comfortable
Joined
Jan 17, 2016
Messages
124
Reaction score
75
Location
Indiana
You can go to options, security settings and add an exception ( cameras ip address ) and the plug in will run.
 

Frank van der Heide

Pulling my weight
Joined
Jul 24, 2016
Messages
291
Reaction score
104
Location
the Netherlands
Signed up to help you guys if you didnt manage to come right, i experienced the same issue:

In URL type: about:config

Renable NPAPI Plugin Support in Firefox 52

Add new Boolean string "plugin.load_flash_only" and set it to false. Then restart the browser.

Dont add " in your Boolean string
That did it for me. Thanks!
 

Debbie

n3wb
Joined
Apr 29, 2017
Messages
13
Reaction score
1
Signed up to help you guys if you didnt manage to come right, i experienced the same issue:

In URL type: about:config

Renable NPAPI Plugin Support in Firefox 52

Add new Boolean string "plugin.load_flash_only" and set it to false. Then restart the browser.

Dont add " in your Boolean string

This is so frustrating! When I try this, I can't find NPAPI Plugin Support in the list to reenable. Can you possibly assist me? Thank you!

Never mind - I watched Fruit's video and figured it out and it works! Thanks so much!!!!
 
Last edited:

PSPCommOp

Getting the hang of it
Joined
Jun 17, 2016
Messages
694
Reaction score
87
Location
Northeastern PA
Firefox 52 How To Re-Enable NPAPI Plugin Support

Added another camera earlier today and found out I couldn't access the Web interface and was going crazy trying to fix it.

Thanks for sharing!


Sent from my iPhone using Tapatalk
 
Top